{
  "easycom": {
    "autoscan": true,
    "custom": {
      "^uni-(.*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue",
      "^shop-(.*)": "@/components/shop$1.vue"
    }
  },
  "pages": [
    {
      "path": "pages/index/index",
      "style": {
        "navigationBarTitleText": "首页",
        // #ifdef WEB
        "navigationStyle": "custom"
        // #endif
      }
    },
    {
      "path": "pages/my/my",
      "style": {
        "navigationBarTextStyle": "white",
        "navigationStyle": "custom",
        "navigationBarTitleText": "我的"
      }
    },
    {
      "path": "pages/cart/cart",
      "style": {
        "navigationBarTitleText": "购物车",
        // #ifdef WEB
        "navigationStyle": "custom"
        // #endif
      }
    },
    {
      "path": "pages/category/category",
      "style": {
        "navigationBarTitleText": "分类",
        // #ifdef WEB
        "navigationStyle": "custom"
        // #endif
      }
    }
  ],
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "",
    "navigationBarBackgroundColor": "#F8F8F8",
    "backgroundColor": "#F8F8F8"
  },
  "tabBar": {
    "color": "#333",
    "selectedColor": "#ff5f3c",
    "backgroundColor": "#fff",
    "borderStyle": "white",
    "list": [
      {
        "text": "首页",
        "pagePath": "pages/index/index",
        "iconPath": "/static/tabs/home_default.png",
        "selectedIconPath": "/static/tabs/home_selected.png"
      },
      {
        "text": "分类",
        "pagePath": "pages/category/category",
        "iconPath": "/static/tabs/category_default.png",
        "selectedIconPath": "/static/tabs/category_selected.png"
      },
      {
        "text": "购物车",
        "pagePath": "pages/cart/cart",
        "iconPath": "/static/tabs/cart_default.png",
        "selectedIconPath": "/static/tabs/cart_selected.png"
      },
      {
        "text": "我的",
        "pagePath": "pages/my/my",
        "iconPath": "/static/tabs/user_default.png",
        "selectedIconPath": "/static/tabs/user_selected.png"
      }
    ]
  },
  "subPackages": [
    {
      "root": "pagesGoods",
      "pages": [
        {
          "path": "pages/goods/goods",
          "style": {
            "navigationBarTitleText": "商品详情",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/list/list",
          "style": {
            "navigationBarTitleText": "商品列表",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/evaluate/evaluate",
          "style": {
            "navigationBarTitleText": "商品评价",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/search/search",
          "style": {
            "navigationBarTitleText": "搜索商品",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        }
      ]
    },
    {
      "root": "pagesMember",
      "pages": [
        {
          "path": "pages/login/login",
          "style": {
            "navigationBarTitleText": "登录",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/settings/settings",
          "style": {
            "navigationBarTitleText": "设置",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/profile/profile",
          "style": {
            "navigationStyle": "custom",
            "navigationBarTextStyle": "white",
            "navigationBarTitleText": "个人信息"
          }
        },
        {
          "path": "pages/address/address",
          "style": {
            "navigationBarTitleText": "地址管理",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/address/address-form",
          "style": {
            "navigationBarTitleText": "",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/balance/balance",
          "style": {
            "navigationBarTitleText": "我的余额",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/balance/recharge",
          "style": {
            "navigationBarTitleText": "余额充值",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/coupon/coupon",
          "style": {
            "navigationBarTitleText": "我的优惠券",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/coupon/center",
          "style": {
            "navigationBarTitleText": "领券中心",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/favorite/favorite",
          "style": {
            "navigationBarTitleText": "我的收藏",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        }
      ]
    },
    {
      "root": "pagesOrder",
      "pages": [
        {
          "path": "pages/create/create",
          "style": {
            "navigationBarTitleText": "订单创建",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/detail/detail",
          "style": {
            "navigationBarTitleText": "订单详情",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/payment/pay",
          "style": {
            "navigationBarTitleText": "订单支付",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/payment/payment",
          "style": {
            "navigationBarTitleText": "支付结果",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/list/list",
          "style": {
            "navigationBarTitleText": "订单列表",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/receive/receive",
          "style": {
            "navigationBarTitleText": "收货结果",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/evaluate/evaluate",
          "style": {
            "navigationBarTitleText": "评价订单",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/refund/refund",
          "style": {
            "navigationBarTitleText": "申请售后",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/refund/list",
          "style": {
            "navigationBarTitleText": "售后列表",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/refund/detail",
          "style": {
            "navigationBarTitleText": "售后详情",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/delivery/delivery",
          "style": {
            "navigationBarTitleText": "物流详情",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/recharge/list",
          "style": {
            "navigationBarTitleText": "充值订单",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        },
        {
          "path": "pages/center/center",
          "style": {
            "navigationBarTitleText": "订单中心",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        }
      ]
    },
    {
      "root": "pagesOther",
      "pages": [
        {
          "path": "pages/blank/rich-text",
          "style": {
            "navigationBarTitleText": "",
            // #ifdef WEB
            "navigationStyle": "custom"
            // #endif
          }
        }
      ]
    }
  ],
  "preloadRule": {
    "pages/index/index": {
      "network": "all",
      "packages": ["pagesGoods"]
    },
    "pages/category/category": {
      "network": "all",
      "packages": ["pagesGoods"]
    },
    "pages/cart/cart": {
      "network": "all",
      "packages": ["pagesGoods"]
    },
    "pages/my/my": {
      "network": "all",
      "packages": ["pagesMember", "pagesOrder"]
    }
  }
}
